#!/bin/sh
#
# build.sh: Builds all mail-related components in this directory
#           Assumes Digital UNIX 3.2 for now...
# -----------------------------------------------------------------------------
# Copyright (c) 1995,1996 Donated to the public domain
# 
# Original author and maintainer: Marc Chatel   (mchatel@dial.oleane.com)
# Last known maintainer:          Marc Chatel   (mchatel@dial.oleane.com)
# 
# This file was created as part of the S4 (Secure System Setup Script) kit.
# Permission is granted to any person or entity to do any of the following:
#       a) use this file alone or in some other software
#       b) modify this file or include parts of this file in other files
#       c) re-distribute this file AS IS or modified, for non-commercial
#          or commercial purposes, alone or as part of some software package
# 
# No warranties of any kind, express or implied, on the functionality and safety
# of the contents of this file. Use at your own risk!
# 
# If you do useful changes to this file (bug fixes, portability fixes,
# enhancements), you should TRY to contact the current maintainer, who may be
# maintaining a "latest greatest" version of the file. You do not HAVE TO,
# but you should TRY. Promote software reuse! It helps everybody, including you!
# -----------------------------------------------------------------------------
#
umask 027

echo "*** Now building package Berkeley DB version 1.85b ***"
cd db.1.85b/PORT/osf.3.2
make
cd ../../test
make PORTDIR="../PORT/osf.3.2"
echo "*** Now building package Berkeley sendmail version 8.7.5c-s4 ***"
cd ../../sendmail-8.7.5c-s4/src
./makesendmail
echo "*** Now building the executable mail.local ***"
cd ../mail.local
make
echo "*** Now building the executable mailstats ***"
cd ../mailstats
make
echo "*** Now building the executable makemap ***"
cd ../makemap
make
echo "*** Now building the executable praliases ***"
cd ../praliases
make
echo "*** Now building the executable smrsh ***"
cd ../smrsh
make
echo "*** Now building the executable localdeliver ***"
cd ../../localdeliver
make
echo "*** Now building the executable popdeliver ***"
cd ../popdeliver
make
echo "*** Now building the executables spop and popwrd ***"
cd ../spop_popwrd
make
echo "*** Now building the executable mainmail ***"
cd ../mainmail
make
echo "*** Now building the executable poppasswd ***"
cd ../poppasswd
make
echo "*** Now building the executable popper ***"
cd ../qpopper2.2b-s4
make osf1
echo "*** Making copies of the useful stuff ***"
cd ..
rm -f output/bin/* output/doc/* output/include/* output/lib/* output/man/*
rm -rf output/config
mkdir output/config
cp db.1.85b/PORT/osf.3.2/libdb.a output/lib
cp db.1.85b/PORT/osf.3.2/include/*.h output/include
cp db.1.85b/man/*.[1-9]           output/man
cp db.1.85b/docs/*.ps             output/doc
cp sendmail-8.7.5c-s4/FAQ            output/doc/sendmail-faq.txt
cp sendmail-8.7.5c-s4/KNOWNBUGS      output/doc/sendmail-known-bugs.txt
cp sendmail-8.7.5c-s4/RELEASE_NOTES  output/doc/sendmail-release-notes.txt
cd sendmail-8.7.5c-s4/cf
tar cvpf ../../output/config/tata.tar *
cd ../../output/config
tar xvpf tata.tar
rm -f tata.tar
cd ../..
cp sendmail-8.7.5c-s4/doc/*/*.ps                  output/doc
cp sendmail-8.7.5c-s4/mail.local/mail.local       output/bin
cp sendmail-8.7.5c-s4/mail.local/*.[1-9]          output/man
cp sendmail-8.7.5c-s4/mailstats/mailstats         output/bin
cp sendmail-8.7.5c-s4/makemap/makemap             output/bin
cp sendmail-8.7.5c-s4/makemap/*.[1-9]             output/man
cp sendmail-8.7.5c-s4/praliases/praliases         output/bin
cp sendmail-8.7.5c-s4/smrsh/smrsh                 output/bin
cp sendmail-8.7.5c-s4/smrsh/*.[1-9]               output/man
cp sendmail-8.7.5c-s4/src/aliases                 output/config
cp sendmail-8.7.5c-s4/src/sendmail.hf             output/config
cp sendmail-8.7.5c-s4/src/obj.OSF1*/*.[1-9]       output/man
cp sendmail-8.7.5c-s4/src/obj.OSF1*/sendmail      output/bin
cp localdeliver/localdeliver                   output/bin
cp popdeliver/popdeliver                       output/bin
cp spop_popwrd/spop                            output/bin
cp spop_popwrd/popwrd                          output/bin
cp mainmail/mainmail                           output/bin
cp poppasswd/poppasswd                         output/bin
cp qpopper2.2b-s4/popper.8                     output/man
cp qpopper2.2b-s4/popper.osf1                  output/bin
